<?php

$image = imagecreate(400, 450);

/* Mehrere Farben erzeugen */

$bgc = imagecolorallocate($image, 230, 230, 230);

$fc1 = imagecolorallocate($image, 255, 0, 0);

$fc2 = imagecolorallocate($image, 42, 243, 3);

$fc3 = imagecolorallocate($image, 0, 12, 200);

/* Hintergrundfarbe der Arbeitsfläche*/

imagefill($image, 0, 0, $bgc);

/* Rechtecke erzeugen*/

imagerectangle($image, 50, 60, 230, 90, $fc1);

imagefill($image, 60, 65, $fc2);

imagerectangle($image, 20, 360, 130, 30, $fc1);

imagefilledrectangle($image, 270, 160, 330, 290, $fc2);

/* Winkel */

imagearc($image, 150, 160, 200, 100, 0, 180, $fc1);

imagearc($image, 150, 360, 200, 100, 0, 360, $fc1);

imagefill($image, 160, 365, $fc3);

/* Ein Zeichen zeichnen */

imagechar($image, 5, 100, 150, 'R', $fc1);

imagepng($image);

imagedestroy($image);

?>